﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RoboCity
{
    /// <summary>
    /// Robotovo mesto. Sklada se ze ctvercovych policek usporadanych do
    /// obdelniku.
    /// </summary>
    public interface ICity
    {
        /// <summary>
        /// Vrati pocet policek mesta ve smeru od zapadu k vychodu.
        /// </summary>
        /// <value>Sirka mesta.</value>
        int Width { get; }

        /// <summary>
        /// Vrati pocet policek mesta ve smeru od severu k jihu.
        /// </summary>
        /// <value>Vyska mesta.</value>
        int Height { get; }

        /// <summary>
        /// Vrati plochu mesta v policcich.
        /// </summary>
        /// <value>Plocha mesta.</value>
        int Area { get; }

        /// <summary>
        /// Vrati plochu mesta v metrech ctverecnich.
        /// </summary>
        /// <value>Plocha mesta v m2.</value>
        double RealArea { get; }

        /// <summary>
        /// Vrati nebo nastavi velikost hrany policka v metrech.
        /// </summary>
        /// <value>Hrana jednoho policka.</value>
        double RealSquareSize { get; set; }
    }
}
