﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RoboCity
{
    public interface IRobot
    {
        /// <summary>
        /// Vrati nebo nastavi robotovo mesto.
        /// </summary>
        /// <remarks>
        /// Jestlize se robot presune do noveho mesta, objevi se na vychozi
        /// pozici [0; 0] a bude se divat k severu.
        /// </remarks>
        /// <value>Mesto ve kterem robot zije.</value>
        ICity City { get; set; }

        /// <summary>
        /// Pozice robota v jeho meste.
        /// </summary>
        /// <value>Souradnice robota.</value>
        Coordinates Position { get; }

        /// <summary>
        /// Smer robota. Tennto smer udava, kam povede robotuv dalsi krok.
        /// Muze nabyvat 4 hodnot - svetovych stran.
        /// </summary>
        /// <value>Natoceni robota.</value>
        Direction Orientation { get; }
            
        /// <summary>
        /// Pokusi se udelat krok ve smeru sveho natoceni.
        /// </summary>
        void Step();

        /// <summary>
        /// Robot se otoci doleva.
        /// </summary>
        void TurnLeft();
    }
}
